=== debian/changelog ===
js-of-ocaml (2.5-2) unstable; urgency=medium

  * Build with reactiveData and tyxml support

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Nov 2015 16:10:18 +0100

js-of-ocaml (2.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Remove 0001-Fix-generation-of-compiler.cm.patch, integrated upstream.
    - Refresh remaining patch
    - Add libcmdliner-ocaml-dev and libfindlib-ocaml-dev to Build-Depends.
  * Fix install target
  * Install logger.cma and jsooTop.cmo in libjs-of-ocaml

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 10:41:57 +0200
