=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
BINDIR=$(DESTDIR)/usr/bin
DOCDIR=$(DESTDIR)/usr/share/doc/libjs-of-ocaml-dev

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install -X.so.owner --fail-missing

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.js

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) BEST=$(OCAML_BEST)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(BINDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	$(MAKE) install BINDIR=$(BINDIR) BEST=$(OCAML_BEST)
	mkdir -p $(DOCDIR)/html $(DOCDIR)/examples
	cp -a doc/api/html $(DOCDIR)/html/api
	cp -a examples/* $(DOCDIR)/examples
	rm -f $(DOCDIR)/examples/*/*.cm* $(DOCDIR)/examples/*/*.byte
ifeq ($(OCAML_NATDYNLINK),no)
	find $(DESTDIR) -name '*.cmxs' -delete
endif

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	-cd $(CURDIR)/doc && make clean
	rm -Rf doc/api/html/
