=== debian/watch ===
version=3
http://ocsigen.org/js_of_ocaml/install .*/archive/(.*)\.tar\.gz
