## js-of-ocaml 3.5.2

=== debian/changelog ===
js-of-ocaml (3.5.2-3) unstable; urgency=medium

  * Avoid an unfortunate wildcard that was installing the same file in
    libjs-of-ocaml and in libjs-of-ocaml-dev, causing failure of their
    installation

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Feb 2020 09:51:30 +0100

js-of-ocaml (3.5.2-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2020 12:53:39 +0100

js-of-ocaml (3.5.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release (Closes: #878469)
  * Update debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2020 09:45:15 +0100
