=== debian/control ===
--- 
+++ 
@@ -2,24 +2,30 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
- dh-ocaml (>= 0.9~),
- ocaml-findlib (>= 1.4),
- liblwt-ocaml-dev (>= 2.4),
- libderiving-ocsigen-ocaml-dev (>= 0.6),
+ debhelper-compat (= 12),
+ ocaml,
+ ocaml-dune,
+ ocaml-findlib,
+ ocamlbuild,
+ libfindlib-ocaml-dev,
  libcmdliner-ocaml-dev,
- libfindlib-ocaml-dev,
- libreactivedata-ocaml-dev,
- libtyxml-ocaml-dev,
- camlp4,
- menhir,
- ocaml-nox (>= 4.01)
-Standards-Version: 3.9.5
+ libmigrate-parsetree-ocaml-dev (>= 1.4),
+ libppx-tools-versioned-ocaml-dev (>= 5.2.3),
+ libppxlib-ocaml-dev (>= 0.9.0),
+ libyojson-ocaml-dev,
+ libuchar-ocaml-dev,
+ liblwt-ocaml-dev,
+ liblwt-log-ocaml-dev,
+ libtyxml-ocaml-dev (>= 4.3),
+ libreactivedata-ocaml-dev (>= 0.2),
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://ocsigen.org/js_of_ocaml
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/js-of-ocaml.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/js-of-ocaml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/js-of-ocaml
+Vcs-Git: https://salsa.debian.org/ocaml-team/js-of-ocaml.git
 
 Package: js-of-ocaml
 Architecture: any
