=== debian/watch ===
version=3
https://github.com/ocsigen/js_of_ocaml/releases .*/archive/(.*)\.tar\.gz
