## js-of-ocaml 3.7.0

=== debian/changelog ===
js-of-ocaml (3.7.0-2build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 13:44:13 +0200

js-of-ocaml (3.7.0-2) unstable; urgency=medium

  * Fix compilation on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Aug 2020 21:17:47 +0200

js-of-ocaml (3.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Aug 2020 19:50:03 +0200

js-of-ocaml (3.6.0-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 14:35:34 +0200

js-of-ocaml (3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 10:12:17 +0200
