=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml,
- ocaml-dune,
+ ocaml-dune (>= 2.5),
  ocaml-findlib,
  ocamlbuild,
  libfindlib-ocaml-dev,
  libcmdliner-ocaml-dev,
  libmigrate-parsetree-ocaml-dev (>= 1.4),
  libppx-tools-versioned-ocaml-dev (>= 5.2.3),
- libppxlib-ocaml-dev (>= 0.9.0),
+ libppxlib-ocaml-dev (>= 0.14.0),
  libyojson-ocaml-dev,
  libuchar-ocaml-dev,
  liblwt-ocaml-dev,
  liblwt-log-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.3),
  libreactivedata-ocaml-dev (>= 0.2),
+ menhir,
+ libmenhir-ocaml-dev,
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
