=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,11 @@
 	rm -rf _tmp
 
 override_dh_auto_build:
+	rm -f compiler/tests-jsoo/dune         # makes the build fail on amd64
+	rm -f compiler/lib-runtime/tests/dune  # makes the build fail on bytecode architectures
+ifeq ($(OCAML_HAVE_OCAMLOPT),no)
+	sed -i 's/ native//' compiler/bin-js_of_ocaml/dune
+endif
 	dune build -p js_of_ocaml-compiler
 	$(DUNE_INSTALL) js_of_ocaml-compiler
 	dune build -p js_of_ocaml
@@ -46,5 +51,4 @@
 	done
 	rm -f debian/tmp/usr/doc/js_of_ocaml/LICENSE
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:
