=== debian/changelog ===
js-of-ocaml (3.8.0-2) unstable; urgency=medium

  * Properly build libjs-of-ocaml-doc (Closes: #987458)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Apr 2021 17:44:21 +0200

js-of-ocaml (3.8.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1
  * Add "Multi-Arch: foreign" to libjs-of-ocaml-doc

 -- Stéphane Glondu <glondu@debian.org>  Sat, 05 Dec 2020 14:39:31 +0100

js-of-ocaml (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Nov 2020 05:36:03 +0100

js-of-ocaml (3.7.0-3) unstable; urgency=medium

  * Add libgraphics-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 14:58:07 +0200
