=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
+ ocaml-odoc,
  ocaml-dune (>= 2.5),
  ocaml-findlib,
  ocamlbuild,
  libfindlib-ocaml-dev,
+ libgraphics-ocaml-dev,
  libcmdliner-ocaml-dev,
- libmigrate-parsetree-ocaml-dev (>= 1.4),
- libppx-tools-versioned-ocaml-dev (>= 5.2.3),
- libppxlib-ocaml-dev (>= 0.14.0),
+ libppxlib-ocaml-dev (>= 0.15.0),
  libyojson-ocaml-dev,
  libuchar-ocaml-dev,
  liblwt-ocaml-dev,
@@ -23,7 +23,7 @@
  menhir,
  libmenhir-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://ocsigen.org/js_of_ocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/js-of-ocaml
@@ -107,7 +107,10 @@
 Package: libjs-of-ocaml-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends:
+ libjs-bootstrap,
+ ${misc:Depends}
 Description: OCaml bytecode to JavaScript compiler (documentation)
  Js_of_ocaml is a compiler of OCaml bytecode to JavaScript. It makes
  it possible to run OCaml programs in a web browser.
