=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	$(DUNE_INSTALL) js_of_ocaml-toplevel
 	dune build -p js_of_ocaml-tyxml
 	$(DUNE_INSTALL) js_of_ocaml-tyxml
+	$(MAKE) doc
 
 override_dh_auto_test:
 # Needs ppx-expect
@@ -51,4 +52,13 @@
 	done
 	rm -f debian/tmp/usr/doc/js_of_ocaml/LICENSE
 
-override_dh_dwz:
+override_dh_install:
+	dh_install
+	mkdir -p debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc
+	rm -rf debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/api
+	rm -rf debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/manual
+	cp -a _build/default/_doc/_html debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/api
+	cp -a _build/default/manual debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/manual
+	sed -i \
+	  's@href=".*//maxcdn\.bootstrapcdn\.com/bootstrap.*/bootstrap\.min\.css"@href="file:///usr/share/javascript/bootstrap/css/bootstrap.min.css"@g' \
+	  debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/manual/files/toplevel/index.html
