=== debian/watch ===
version=3
https://github.com/ocsigen/js_of_ocaml/releases .*-([0-9.]+)\.tbz
