=== debian/changelog ===
js-of-ocaml (3.11.0-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:12 +0100

js-of-ocaml (3.11.0-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jan 2022 15:48:22 +0100

js-of-ocaml (3.11.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 01:06:31 +0100

js-of-ocaml (3.11.0-1) unstable; urgency=medium

  * New upstream release
  * Do not build doc to bootstrap with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 11:30:21 +0100
