=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
- ocaml-odoc,
  ocaml-dune (>= 2.5),
  ocaml-findlib,
  ocamlbuild,
@@ -23,9 +22,9 @@
  menhir,
  libmenhir-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://ocsigen.org/js_of_ocaml
+Homepage: https://ocsigen.org/js_of_ocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/js-of-ocaml
 Vcs-Git: https://salsa.debian.org/ocaml-team/js-of-ocaml.git
