=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_BUILD_OPTIONS += nodoc
 
 DESTDIR=$(CURDIR)/debian/tmp
 
@@ -39,7 +41,9 @@
 	$(DUNE_INSTALL) js_of_ocaml-toplevel
 	dune build -p js_of_ocaml-tyxml
 	$(DUNE_INSTALL) js_of_ocaml-tyxml
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) doc
+endif
 
 override_dh_auto_test:
 # Needs ppx-expect
@@ -57,8 +61,10 @@
 	mkdir -p debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc
 	rm -rf debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/api
 	rm -rf debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/manual
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cp -a _build/default/_doc/_html debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/api
 	cp -a _build/default/manual debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/manual
 	sed -i \
 	  's@href=".*//maxcdn\.bootstrapcdn\.com/bootstrap.*/bootstrap\.min\.css"@href="file:///usr/share/javascript/bootstrap/css/bootstrap.min.css"@g' \
 	  debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/manual/files/toplevel/index.html
+endif
